Problem building LLVM (3.0 and trunk) with GCC 4.7.0

Hi developers,

Could someone take a look at this bug report?

  http://llvm.org/bugs/show_bug.cgi?id=11916

It's affecting Fedora (we tend to bite the bullet and switch to the
upcoming GCC release earlier than other distributions); currently LLVM
cannot be rebuilt against our development branch, which is troublesome
because a recent Ocaml upgrade for Fedora means that now one of the
subpackage is not installable.

It could be related to GCC bug #50454, but that is marked as fixed
several months ago:

  50454 – Unexpected problems with -pedantic / -pedantic-errors and __int128 and unsigned __int128 specializations

Thanks,

- --
Michel Alexandre Salim
Fedora Project Contributor: http://fedoraproject.org/

Email: salimma@fedoraproject.org | GPG key ID: A36A937A
Jabber: hircus@jabber.ccc.de | IRC: hircus@irc.freenode.net

() ascii ribbon campaign - against html e-mail
/\ www.asciiribbon.org - against proprietary attachments